# BlackbookClient

Wrapper around BlackBook web services.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'blackbook_client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install blackbook_client

## Usage

#### Define the username and password
    BlackbookClient.username = 'username'
    BlackbookClient.password = 'password'

#### Call the desired method

    BlackbookClient.range_by_vin('19XFC1F79GE216281')

    BlackbookClient.range_by_vin('19XFC1F79GE216281', { state: 'NY', mileage: 40000 })

    BlackbookClient.range_by_chromedata_id(1000,  { state: 'NY', mileage: 40000, chromeoptions: 'SE' })

#### Wait for the answer

    { range: { xclean: 16950, clean: 16375, average: 15650, rough: 14750 } }

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/theappraisallane/blackbook_client.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
